Liste der Attribute.
- Virtuelle Währung aktualisieren
Katalog-API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.
The API allows you to manage the following catalog entities:
- Virtual items — in-game items such as weapons, skins, boosters.
- Virtual currency — virtual money used to purchase virtual goods.
- Virtual currency packages — predefined bundles of virtual currency.
- Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
- Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
- Groups — logical groupings for organizing and sorting items within the catalog.
The API is divided into the following groups:
Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.
API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.
User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.
The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aIAlternatively, you can use a token for opening the payment UI.
Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.
The API key is confidential and must not be stored or used in client applications.
With basic server-side authentication, all API requests must include the following header:
- for
basicAuth—Authorization: Basic <your_authorization_basic_key>, whereyour_authorization_basic_keyis theproject_id:api_keypair encoded in Base64 - for
basicMerchantAuth—Authorization: Basic <your_authorization_basic_key>, whereyour_authorization_basic_keyis themerchant_id:api_keypair encoded in Base64
You can find the parameter values in Publisher Account:
merchant_idis displayed:- In Company settings > Company.
- In the URL in the browser address bar on any Publisher Account page. The URL has the following format:
https://publisher.xsolla.com/<merchant_id>.
project_idis displayed:- Next to the project name in Publisher Account.
- In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format:
https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
api_keyis shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
If a required API call doesn't include the
project_id path parameter, use an API key that is valid across all company projects for authorization.For more information about working with API keys, see the API references.
The AuthForCart authentication scheme is used for cart purchases and supports two modes:
- Authentication with a user's JWT. The token is passed in the
Authorizationheader in the following format:Authorization: Bearer <user_JWT>, where<user_JWT>is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aIAlternatively, you can use a token for opening the payment UI.
- Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
x-unauthorized-idwith a request IDx-userwith the user's email address encoded in Base64
Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.
Some calls may include additional fields but they don't change the basic structure.
Identification
merchant_id— company ID in Publisher Accountproject_id— project ID in Publisher Accountsku— item SKU, unique within the project
Store display
name— item namedescription— item descriptionimage_url— image URLis_enabled— item availabilityis_show_in_store— whether the item is displayed in the catalog
For more information about managing item availability in the catalog, see the documentation.
Organization
type— item type, for example, a virtual item (virtual_item) or bundle (bundle)groups— groups the item belongs toorder— display order in the catalog
Sale conditions
prices— prices in real or virtual currencylimits— purchase limitsperiods— availability periodsregions— regional restrictions
Example of core entity structure:
{
"attributes": [],
"bundle_type": "virtual_currency_package",
"content": [
{
"description": {
"en": "Main in-game currency"
},
"image_url": "https://.../image.png",
"name": {
"en": "Crystals",
"de": "Kristalle"
},
"quantity": 500,
"sku": "com.xsolla.crystal_2",
"type": "virtual_currency"
}
],
"description": {
"en": "Crystals x500"
},
"groups": [],
"image_url": "https://.../image.png",
"is_enabled": true,
"is_free": false,
"is_show_in_store": true,
"limits": {
"per_item": null,
"per_user": null,
"recurrent_schedule": null
},
"long_description": null,
"media_list": [],
"name": {
"en": "Medium crystal pack"
},
"order": 1,
"periods": [
{
"date_from": null,
"date_until": "2020-08-11T20:00:00+03:00"
}
],
"prices": [
{
"amount": 20,
"country_iso": "US",
"currency": "USD",
"is_default": true,
"is_enabled": true
}
],
"regions": [],
"sku": "com.xsolla.crystal_pack_2",
"type": "bundle",
"vc_prices": []
}The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.
The following example shows a basic flow for setting up and operating a store, from item creation to purchase.
Create an item catalog for your store, such as virtual items, bundles, or virtual currency.
Example API calls:
Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.
Example API calls:
Configure item display in your application.
Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.
Example API calls:
By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter
"show_inactive_time_limited_items": 1 in the catalog request.
You can sell items using the following methods:
- Fast purchase — sell one SKU multiple times.
- Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.
If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.
For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.
Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.
Discount information is available to the user only in the payment UI. Promo codes are not supported.
Cart setup and purchase can be performed on the client or on the server side.
Set up and purchase a cart on the client
Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.
Implement the following cart logic:
- After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
- Update the cart contents based on user actions:
- To add an item or change item quantity, use the Update cart item by cart ID API call.
- To remove an item, use the Delete cart item by cart ID API call.
To get the current status of the cart, use the Get current user's cart API call.
- Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to
newstatus by default.
Set up and purchase a cart on the server
This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.
Implement the following cart logic:
- After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
- Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to
newstatus by default.
Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.
| Action | Endpoint |
|---|---|
| Open in production environment. | https://secure.xsolla.com/paystation4/?token={token} |
| Open in sandbox mode. | https://sandbox-secure.xsolla.com/paystation4/?token={token} |
Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.
After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.
Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.
To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.
Possible order statuses:
new— order createdpaid— payment receiveddone— item deliveredcanceled— order canceledexpired— payment expired
Track order status using one of the following methods:
API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.
Use the following parameters to control the number of returned items:
limit— number of items per pageoffset— index of the first item on the page (numbering starts from 0)has_more— indicates whether another page is availabletotal_items_count— total number of items
Example request:
GET /items?limit=20&offset=40Response example:
{
"items": [...],
"has_more": true,
"total_items_count": 135
}It is recommended to send subsequent requests until the response returns has_more = false.
Dates and time values are passed in the ISO 8601 format.
The following are supported:
- UTC offset
nullvalue when there is no time restriction for displaying an item- Unix timestamp (in seconds) used in some fields
Format: YYYY-MM-DDTHH:MM:SS±HH:MM
Example: 2026-03-16T10:00:00+03:00
Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.
Supported fields
Localization can be specified for the following parameters:
namedescriptionlong_description
Locale format
The locale key can be specified in one of the following formats:
- Two-letter language code:
en,ru - Five-letter language code:
en-US,ru-RU,de-DE
Examples
Example with a two-letter language code:
{
"name": {
"en": "Starter Pack",
"ru": "Стартовый набор"
}
}Example with a five-letter language code:
{
"description": {
"en-US": "Premium bundle",
"de-DE": "Premium-Paket"
}
}If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.
Response example:
{
"errorCode": 1102,
"errorMessage": "Validation error",
"statusCode": 422,
"transactionId": "c9e1a..."
}errorCode— error code.errorMessage— short error description.statusCode— HTTP response status.transactionId— request ID. Returned only in some cases.errorMessageExtended— additional error details, such as request parameters. Returned only in some cases.
Extended response example:
{
"errorCode": 7001,
"errorMessage": "Chain not found",
"errorMessageExtended": {
"chain_id": "test_chain_id",
"project_id": "test_project_id",
"step_number": 2
},
"statusCode": 404
}Common HTTP status codes
400— invalid request401— authentication error403— insufficient permissions404— resource not found422— validation error429— rate limit exceeded
Recommendations
- Handle the HTTP status and the response body together.
- Use
errorCodeto process errors related to application logic. - Use
transactionIdto identify requests more quickly when analyzing errors.
Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
- https://store.xsolla.com/api/v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/catalog/v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/sku/crystalDie angegebene virtuelle Währung wurde erfolgreich empfangen.
Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.
Objekt mit lokalisierten Attributnamen. Schlüssel sind in ISO 3166-1 spezifiziert.
Ein JSON-Objekt mit Artikelattributen und ‑werten.
Objekt mit Lokalisierungen für Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Gruppen, zu denen der Artikel gehört.
Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.
Ob der Artikel eine kostenpflichtige zufällige Belohnung ist, z. B. eine Lootbox.
Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.
Artikelbeschränkungen.
Globale Artikelbeschränkung.
Artikelbeschränkung für einen separaten Nutzer.
Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.
Applies to items for which recurring limit resets are configured in the recurrent_schedule array.
If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.
Possible values:
show— The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with thecan_be_bought: falseflag. The next reset date is returned inreset_next_date.hide— The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Aktualisierungszeitraum begrenzen.
Aktualisierungszeitraum für das Nutzerlimit.
Tägliche Aktualisierung der Nutzerlimits.
Datum und Uhrzeit, zu der die Limits zurückgesetzt werden sollen (ISO 8601).
Datum und Uhrzeit der ersten Limitaktualisierung (ISO 8601).
Typ des wiederkehrenden Aktualisierungszeitraums.
Datum und Uhrzeit der Limitaktualisierung (Unix-Zeitstempel).
Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Zusätzliche Medieninhalte des Artikels wie Screenshots, Gameplay-Videos usw.
Objekt mit Lokalisierungen für Artikelnamen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.
Artikelangebotszeitraum.
Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.
Land, in dem dieser Preis gilt. Code bestehend aus zwei Buchstaben gemäß ISO 3166-1 Alpha 2.
Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.
Whether it is the default price in real currency. Refer to our documentation for detailed information on price settings.
Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used and another price is applied. Refer to our documentation for detailed information on price settings.
Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.
Region ID within the project.
Refer to the regional sale restriction documentation and region management API calls for detailed information.
Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.
Artikeltyp: virtual_good/virtual_currency/bundle/physical_good/unit.
{ "attributes": [ { … } ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": { "en": "Main in-game currency" }, "groups": [], "image_url": "https://cdn3.xsolla.com/img/misc/images/da33ab6cc1d7e5899cfdc5b6b6180fad.png", "is_enabled": true, "is_free": false, "is_paid_randomized_reward": false, "is_show_in_store": true, "limits": { "per_item": null, "per_user": null, "recurrent_schedule": null }, "long_description": null, "media_list": [], "name": { "en": "Crystals", "ru": "Crystals" }, "order": 1, "periods": [], "prices": [ { … } ], "regions": [], "sku": "com.xsolla.crystal_1", "type": "virtual_currency", "vc_prices": [] }
Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
Liste der Attribute.
Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.
Objekt mit lokalisierten Attributnamen. Schlüssel sind in ISO 3166-1 spezifiziert.
Ein JSON-Objekt mit den Artikelattributen und ‑werten. Attribute ermöglichen es Ihnen, Artikeln weitere Informationen hinzuzufügen, z. B. das Mindestlevel des Spielers, um den Artikel verwenden zu können. Attribute bereichern die interne Logik Ihres Spiels und sind über spezielle GET-Methoden und Webhooks abrufbar.
Objekt mit Lokalisierungen für Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
List of group external IDs the item belongs to.
Example: ["horror", "action"]
Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.
Ob der Artikel eine kostenpflichtige zufällige Belohnung ist, z. B. eine Lootbox.
Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.
Artikelbeschränkungen.
Artikelbeschränkung für einen separaten Nutzer.
Artikelbeschränkung für einen separaten Nutzer.
Aktualisierungszeitraum begrenzen.
Das Kauflimit wird gemäß dem in Stunden angegebenen Zeitintervall zurückgesetzt.
Das Kauflimit wird gemäß dem in Stunden angegebenen Zeitintervall zurückgesetzt.
Wiederkehrender Aktualisierungszeitraum.
Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Zusätzliche Medieninhalte des Artikels wie Screenshots, Gameplay-Videos usw.
Objekt mit Lokalisierungen für Artikelnamen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.
Artikelangebotszeitraum.
Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.
Land, in dem dieser Preis gilt. Code bestehend aus zwei Buchstaben gemäß ISO 3166-1 Alpha 2.
Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.
Whether it is the default price in real currency. Refer to our documentation for detailed information on price settings.
Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used and another price is applied. Refer to our documentation for detailed information on price settings.
Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.
Region ID within the project.
Refer to the regional sale restriction documentation and region management API calls for detailed information.
Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.
Array of virtual currency prices.
Whether it is the default price in virtual currency.
Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used.
- https://store.xsolla.com/api/v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/catalog/v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
-u <username>:<password> \
https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/sku/crystal \
-H 'Content-Type: application/json' \
-d '{
"attributes": [
{
"external_id": "material",
"name": {
"en-US": "Material"
},
"values": [
{
"external_id": "gold",
"value": {
"en-US": "Gold"
}
}
]
}
],
"custom_attributes": {
"attr": "value",
"purchased": 0
},
"description": {
"de-DE": "Die Hauptwährung deines Königreichs",
"en-US": "The main currency of your kingdom"
},
"groups": [
"gold"
],
"is_enabled": true,
"is_free": false,
"is_paid_randomized_reward": false,
"limits": {
"per_item": 10000,
"per_user": 5
},
"name": {
"de-DE": "Goldmünze",
"en-US": "Gold coin"
},
"order": 1,
"periods": [
{
"date_from": "2020-08-11T10:00:00+03:00",
"date_until": "2020-08-11T20:00:00+03:00"
}
],
"prices": [
{
"amount": 100,
"currency": "USD",
"is_default": true,
"is_enabled": true
}
],
"sku": "com.xsolla.coin_1"
}'Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
- https://store.xsolla.com/api/v2/project/{project_id}/admin/items/virtual_items
- Mock serverhttps://xsolla.redocly.app/_mock/de/api/catalog/v2/project/{project_id}/admin/items/virtual_items
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
'https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_items?limit=50&offset=0'Die Liste der virtuelle Gegenstände wurde erfolgreich empfangen.
Liste der Attribute.
Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.
Objekt mit lokalisierten Attributnamen. Schlüssel sind in ISO 3166-1 spezifiziert.
Ein JSON-Objekt mit Artikelattributen und ‑werten.
Objekt mit Lokalisierungen für Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Gruppen, zu denen der Artikel gehört.
Name des Artikels. Sollte Schlüssel-Wert-Paare enthalten, wobei der Schlüssel ein Gebietsschema im Format "^[a–z]{2}" und der Wert ein String ist.
Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.
Ob der Artikel eine kostenpflichtige zufällige Belohnung ist, z. B. eine Lootbox.
Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.
Artikelbeschränkungen.
Globale Artikelbeschränkung.
Artikelbeschränkung für einen separaten Nutzer.
Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.
Applies to items for which recurring limit resets are configured in the recurrent_schedule array.
If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.
Possible values:
show— The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with thecan_be_bought: falseflag. The next reset date is returned inreset_next_date.hide— The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Aktualisierungszeitraum begrenzen.
Aktualisierungszeitraum für das Nutzerlimit.
Tägliche Aktualisierung der Nutzerlimits.
Datum und Uhrzeit, zu der die Limits zurückgesetzt werden sollen (ISO 8601).
Datum und Uhrzeit der ersten Limitaktualisierung (ISO 8601).
Typ des wiederkehrenden Aktualisierungszeitraums.
Datum und Uhrzeit der Limitaktualisierung (Unix-Zeitstempel).
Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Zusätzliche Medieninhalte des Artikels wie Screenshots, Gameplay-Videos usw.
Objekt mit Lokalisierungen für Artikelnamen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.
Sprachencodes bestehend aus zwei Kleinbuchstaben.
Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.
Artikelangebotszeitraum.
Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.
Zweistelliger Ländercode in Großbuchstaben gemäß ISO 3166-1 Alpha-2. Weitere Informationen zu den von Xsolla unterstützten Ländern finden Sie in der Dokumentation.
Beispiel: country=US
Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.
Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.
Region ID within the project.
Refer to the regional sale restriction documentation and region management API calls for detailed information.
Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.
Artikeltyp: virtual_good/virtual_currency/bundle/physical_good/unit.
{ "items": [ { … }, { … }, { … }, { … }, { … } ] }